Foreman - Bug #13704

Error when updating host location by name through API
02/15/2016 06:16 AM - David Barbion

Status: Closed
Priority: Normal
Assignee: Shlomi Zadok
Category: API
Target version: 1.13.1
Difficulty: Fixed in Releases:
Triaged: Found in Releases: 1.10.1
Bugzilla link: 1379006 Red Hat JIRA:
Pull request: https://github.com/theforeman/foreman/p
ull/3851
Description
Hi,

| would like to update a host location by providing "location_name" by it results in error: Here is a simple curl command | use:

$ curl -s —-X PUT -H "Content-Type: application/json" -k —-u hammer:hammer \
-d '{"host": { "location_name": "mag003"}}' \
https://foreman.example.com/api/hosts/host.example.com

"error": {"message":"undefined method "id' for nil:NilClass"}

When | provide "location_id", it works.

Related issues:
Related to Foreman - Bug #16813: Confusing error message on association not f... Closed 10/06/2016

Associated revisions

Revision 65af0932 - 09/18/2016 08:34 AM - Shlomi Zadok

Fixes #13704 - Defensive association name setter
When setting an association by name

(e.g., hostgroup_name, organization_name)

and the name does not exist, we raise a not found error

Revision 872acf80 - 10/25/2016 07:52 AM - Shlomi Zadok

Fixes #13704 - Defensive association name setter
When setting an association by name

(e.g., hostgroup_name, organization_name)

and the name does not exist, we raise a not found error

(cherry picked from commit 65af0932ee5ed8cf9aiadiac3c55958fcea77ab7)

History

#1 - 02/15/2016 06:29 AM - David Barbion

This problem occurs when providing an inexistent location.

In my case, it works if | provide full location_name:

curl -s -X PUT -H "Content-Type: application/json" -k -u hammer:hammer \
-d '"{"host": { "location_name": "Full/path/to/mag003"}}' \
https://foreman.example.com/api/hosts/host.example.com

#2 - 09/15/2016 09:45 AM - The Foreman Bot

05/17/2024 1/2




- Status changed from New to Ready For Testing
- Assignee set to Shlomi Zadok

- Pull request https://github.com/theforeman/foreman/pull/3851 added

#3 - 09/15/2016 09:58 AM - Shlomi Zadok

- Target version set to 1.5.3

#4 - 09/18/2016 09:02 AM - Shlomi Zadok
- Status changed from Ready For Testing to Closed
- % Done changed from 0 to 100

Applied in changeset 65af0932ee5ed8cf9aladi1ac3c55958fcea77ab7.

#5 - 09/19/2016 03:29 AM - Dominic Cleal

- translation missing: en.field_release set to 190

#6 - 10/06/2016 02:37 AM - Marek Hulan

- Related to Bug #16813: Confusing error message on association not found error added

#7 - 10/06/2016 02:38 AM - Marek Hulan
- Bugzilla link set to 1379006
